import logging
import time


class DuplicateFilter(logging.Filter):

    def filter(self, record):
        current_log = record
        last_log = getattr(self, "last_log", None)
        one_min_earlier = time.time() - 60
        if last_log is None \
            or current_log.getMessage() != last_log.getMessage() \
            or current_log.module != last_log.module \
            or last_log.created < one_min_earlier:
            self.last_log = current_log
            return True
        return False
